textures/hellride/hell_lava			//path and name of new texture
{
	qer_editorImage textures/hellride/lava.tga		//based on this
	qer_nocarve			//cannot be cut by CSG subtract
	surfaceparm noimpact			//projectiles do not hit it
	surfaceparm lava			//has the game properties of lava
	surfaceparm nolightmap		//environment lighting does not affect
	q3map_surfacelight 3000		//light is emitted
	tessSize 256			//relatively large triangles
	cull disable				//no sides are removed
	deformVertexes wave 100 sin 5 5 .5 0.02
	fogparms 0.8519142 0.309723 0.0 128 128
	{
		map textures/hellride/lava.tga	//base texture artwork
		tcMod turb .25 0.2 1 0.02	//texture is subjected to turbulence
		tcMod scroll 0.1 0.1		//the turbulence is scrolled
	}
}

textures/hellride/hell_wall
{
    qer_editorimage textures/hellride/hell_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/hellride/hell_wall.jpg

        blendFunc filter
    }
}

textures/hellride/hell_wall2
{
    qer_editorimage textures/hellride/hell_wall2.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/hellride/hell_wall2.jpg

        blendFunc filter
    }
}

textures/hellride/hell_wall_ns
{
    qer_editorimage textures/hellride/hell_wall2.jpg
    surfaceparm nonsolid
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/hellride/hell_wall2.jpg

        blendFunc filter
    }
}


textures/hellride/hell_wslick
{
    qer_editorimage textures/hellride/hell_wall2.jpg

    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/hellride/hell_wall2.jpg
        blendFunc filter
    }

}

textures/hellride/hell_wall_nd
{
    qer_editorimage textures/hellride/hell_wall2.jpg
    surfaceparm nodamage
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm slick
    {
        map textures/hellride/hell_wall2.jpg

        blendFunc filter
    }
}


textures/hellride/hell_floor
{
    qer_editorimage textures/hellride/hell_floor.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/hellride/hell_floor.jpg

        blendFunc filter
    }
}


textures/hellride/hell_floor2
{
    qer_editorimage textures/hellride/hell_floor2.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/hellride/hell_floor2.jpg

        blendFunc filter
    }
}

textures/hellride/light
{
    qer_editorimage textures/hellride/hell_light.jpg
    surfaceparm nomarks
    surfaceparm nodamage
    q3map_lightRGB 255 75 20
    q3map_lightsubdivide 512
    q3map_surfacelight 2000
    
        {
        map $lightmap
        rgbGen identity
        }

        {
        map textures/hellride/hell_light.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        }

        {
        map textures/hellride/hell_light.jpg
        blendfunc GL_ONE GL_ONE
	  }

}

textures/hellride/light2
{
    qer_editorimage textures/hellride/hell_light.jpg
    surfaceparm nomarks
    surfaceparm nodamage
    q3map_lightRGB 255 75 20
    q3map_lightsubdivide 512
    q3map_surfacelight 5000
    
        {
        map $lightmap
        rgbGen identity
        }

        {
        map textures/hellride/hell_light.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        }

        {
        map textures/hellride/hell_light.jpg
        blendfunc GL_ONE GL_ONE
	  }

}


textures/hellride/water
{

    qer_editorimage textures/hellride/lava.tga
    q3map_globaltexture
    qer_trans 0.5
    q3map_cheapwater 1 0.9 0.9 1

    surfaceparm trans
    surfaceparm nodamage
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
    surfaceparm water

    cull disable
    nopicmip
    {
        map textures/hellride/lava.tga
        blendFunc gl_dst_color gl_one
        rgbGen identity
        tcMod scale 0.5 0.5
	  tcMod turb 0.2 0.2 0.2 0.2
    }
    {
        map textures/hellride/lava.tga
        blendFunc gl_dst_color gl_one
        rgbGen identity
        tcMod scroll 0.05 -0.01
    }
    {
        map textures/hellride/lava.tga
        blendFunc gl_dst_color gl_one
        rgbGen identity
        tcMod scale 2 2
        tcMod turb 0 0.2 1 0.2
    }

}


